> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yativo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Virtual Cards

> Retrieve all virtual cards issued to customers

Returns all virtual cards issued under your business account.

```
GET https://api.yativo.com/api/v1/customer/virtual/cards/list
```

## Query Parameters

<ParamField query="page" type="number">
  Page number.
</ParamField>

<ParamField query="per_page" type="number">
  Results per page.
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET 'https://api.yativo.com/api/v1/customer/virtual/cards/list?page=1&per_page=20' \
    -H 'Authorization: Bearer YOUR_ACCESS_TOKEN'
  ```
</RequestExample>

<ResponseExample>
  ```json Success theme={null}
  {
    "status": "success",
    "status_code": 200,
    "message": "Records retrieved successfully",
    "data": [
      {
        "id": "e6f2f9d0-2d4f-4b4f-9d9f-2f1f8f9e3a7e",
        "customer_id": "da44a3e6-eb5d-429f-8d17-357aa5a6cdf2",
        "customer_card_id": "card_01HX9KZMB3F7VNQP8R2WDGT4E5",
        "card_id": "card_01HX9KZMB3F7VNQP8R2WDGT4E5",
        "card_number": "4111111111111234",
        "expiry_date": "04/29",
        "cvv": "123",
        "card_status": "active",
        "raw_data": {
          "cardName": "Main Expense Card",
          "cardBrand": "visa"
        }
      }
    ],
    "pagination": {
      "total": 5,
      "per_page": 20,
      "current_page": 1,
      "last_page": 1,
      "next_page_url": null,
      "prev_page_url": null
    }
  }
  ```
</ResponseExample>
